> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Balance

> Retrieve the balance and currency for the authenticated user.



## OpenAPI

````yaml api-balance POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Retrieve Account Balance
      description: Retrieve the balance and currency for the authenticated user.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` to fetch the account balance
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `balance`
                  example: balance
              required:
                - key
                - action
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance:
                    type: string
                    example: '1000.92'
                  currency:
                    type: string
                    example: IDR
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````